Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.print
Class PrinterException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.awt.print.PrinterException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  PrinterAbortException, PrinterIOException

    public class PrinterException

extends Exception

The `PrinterException` class and its subclasses are used to indicate that an exceptional condition has occurred in the print system.

See Also:
  Serialized Form

Constructor Summary
`PrinterException()` Constructs a new `PrinterException` object without a detail message.
`PrinterException(String msg)` Constructs a new `PrinterException` object with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrinterException

    public PrinterException()

  Constructs a new `PrinterException` object without a detail message.

### PrinterException

    public PrinterException(String msg)

  Constructs a new `PrinterException` object with the specified detail message.

  Parameters:
    `msg` - the message to generate when a `PrinterException` is thrown

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.